Page MenuHomeMiraheze

Change value of CategoryTree option
Closed, ResolvedPublic

Description

We need to show pages in category trees by default.

Please change the following value in LocalSettings.php file:

$wgCategoryTreeDefaultMode
Change into 10

Click here for details.

Thank you.

Event Timeline

Revival created this task.Mar 14 2020, 16:57
Reception123 closed this task as Resolved.Apr 5 2020, 13:16
Reception123 claimed this task.

Sorry for the delay. You can now change this yourself in Special:ManageWiki/settings under "Edit"

Revival reopened this task as Open.Apr 29 2020, 09:28

I changed the value to "Pages" in Special:ManageWiki/settings under "Edit". I have waited for a day. There is no effect at all. Pages still don't show up in category trees.

You could check any category page to verify it yourself. Thank you.

I changed the value to "Pages" in Special:ManageWiki/settings under "Edit". I have waited for a day. There is no effect at all. Pages still don't show up in category trees.

You could check any category page to verify it yourself. Thank you.

Could you please link us to one of the pages so we can have a look?

Revival updated the task description. (Show Details)May 1 2020, 09:46

Could you please link us to one of the pages so we can have a look?

Revival added a comment.May 1 2020, 09:48

Please check email. Thank you.

Paladox added a comment.May 14 2020, 19:58

Is things still broken?

Revival added a comment.May 15 2020, 11:36

Is things still broken?

Yes, nothing has changed.

Revival reopened this task as Open.May 18 2020, 08:43

Unfortunately it does not fix the bug. I don't know much about coding. I wonder if 'default' should be changed into 10.
The configuration guide states "0 for category mode, 10 for pages, 20 for all, 100 for parents."

@Revival Did you change this in Special:ManageWiki/settings under edit?

Revival closed this task as Resolved.Jun 3 2020, 10:37

I see a new set of options is available in Special:ManageWiki/settings under edit. This fixed the issue. Thank you.